// drawdlg.h : header file
//

#include "drawarea.h"

/////////////////////////////////////////////////////////////////////////////
// CDisdrawDlg dialog

class CDisdrawDlg : public CDialog
{
// Construction
public:
	CDisdrawDlg(CWnd* pParent = NULL);	// standard constructor

	void SendMouseMovement(LINE lineNew);
	void SendKeystroke(UINT uChar);

// Data
	CString m_strLogin;
	HANDLE m_hqIncoming;
	HANDLE m_hqOutgoing;

// Dialog Data
	//{{AFX_DATA(CDisdrawDlg)
	enum { IDD = IDD_DISDRAW_DIALOG };
	CDrawArea	m_drawScribble;
	CButton	m_btnAttach;
	CString	m_strFriend;
	int		m_iDelivery;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisdrawDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	BOOL OpenReceiveQueue();

	// Generated message map functions
	//{{AFX_MSG(CDisdrawDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAttach();
	afx_msg void OnChangeEditFriend();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
